# User asleep

A decision block that await the user falling asleep or waking up.

The fiber will pause until a sleep update has been reported, which is at an regular intervals such as every 10 minutes.

If both minimum confidence and maximum confidence is set and doesn’t evaluate to `null` then the confidence of the user sleeping must be within the range. If only minimum is set, then the confidence must be greater than or equal to it. If only maximum is set, then the confidence must be less than or equal to it. If neither minimum nor maximum is set, then the current confidence is just assigned to the current confidence variable without a check.

This block requires a device with a working Google Play services installed.

## Input arguments

- Minimum confidence — minimum percent of confidence.
- Maximum confidence — maximum percent of confidence.

## Output variables

- Confidence — variable to assign the confidence that the user is asleep, as a percentage.
- Ambient light — variable to assign the amount of brightness in the space around the device, as a percentage.
- Device motion — variable to assign the amount of device motion, as a percentage.